cURL
curl -X GET "https://api.getcatalog.ai/v1/vendors?page=1&page_size=5" \
-H "x-api-key: $CATALOG_API_KEY"
{
"data": [
{
"vendor": "12thtribe.com",
"last_updated_by_catalog": "2025-11-16T00:21:21.414453+00:00",
"listings_count": 1253,
"collections_count": 42,
"in_affiliate_network": false
},
{
"vendor": "18east.co",
"last_updated_by_catalog": "2026-01-04T18:48:00.329426+00:00",
"listings_count": 387,
"collections_count": 15,
"in_affiliate_network": false
},
{
"vendor": "1stclass-vintage.com",
"last_updated_by_catalog": "2025-11-23T23:02:28.336691+00:00",
"listings_count": 1484,
"collections_count": 28,
"in_affiliate_network": false
},
{
"vendor": "2cuteclothing.com",
"last_updated_by_catalog": "2025-12-19T17:47:02.397774+00:00",
"listings_count": 254,
"collections_count": 8,
"in_affiliate_network": false
},
{
"vendor": "31philliplim.com",
"last_updated_by_catalog": "2025-11-23T23:25:40.15897+00:00",
"listings_count": 2644,
"collections_count": 56,
"in_affiliate_network": true
}
],
"pagination": {
"page": 1,
"page_size": 5,
"total_items": 540,
"total_pages": 108,
"has_next": true,
"has_prev": false
},
"meta": {}
}
API Reference
Get Vendors
List all indexed vendors with listing counts, collection counts, and latest update timestamps.
GET
/
v1
/
vendors
cURL
curl -X GET "https://api.getcatalog.ai/v1/vendors?page=1&page_size=5" \
-H "x-api-key: $CATALOG_API_KEY"
{
"data": [
{
"vendor": "12thtribe.com",
"last_updated_by_catalog": "2025-11-16T00:21:21.414453+00:00",
"listings_count": 1253,
"collections_count": 42,
"in_affiliate_network": false
},
{
"vendor": "18east.co",
"last_updated_by_catalog": "2026-01-04T18:48:00.329426+00:00",
"listings_count": 387,
"collections_count": 15,
"in_affiliate_network": false
},
{
"vendor": "1stclass-vintage.com",
"last_updated_by_catalog": "2025-11-23T23:02:28.336691+00:00",
"listings_count": 1484,
"collections_count": 28,
"in_affiliate_network": false
},
{
"vendor": "2cuteclothing.com",
"last_updated_by_catalog": "2025-12-19T17:47:02.397774+00:00",
"listings_count": 254,
"collections_count": 8,
"in_affiliate_network": false
},
{
"vendor": "31philliplim.com",
"last_updated_by_catalog": "2025-11-23T23:25:40.15897+00:00",
"listings_count": 2644,
"collections_count": 56,
"in_affiliate_network": true
}
],
"pagination": {
"page": 1,
"page_size": 5,
"total_items": 540,
"total_pages": 108,
"has_next": true,
"has_prev": false
},
"meta": {}
}
Documentation Index
Fetch the complete documentation index at: https://docs.getcatalog.ai/llms.txt
Use this file to discover all available pages before exploring further.
When to use: Discover available vendors before browsing their collections or building a product index. See Building a Product Index.
Request
Your API key for authentication
Page number (1-indexed, default: 1)
Items per page (default: 20, max: 100)
Response
Array of vendor summary objects
Show Vendor Summary Object
Show Vendor Summary Object
The vendor/brand name
Total number of listings from this vendor
Total number of collections from this vendor
ISO 8601 timestamp of the most recently updated listing from this vendor
Whether this vendor is part of the affiliate network
Response metadata (currently empty for this endpoint)
cURL
curl -X GET "https://api.getcatalog.ai/v1/vendors?page=1&page_size=5" \
-H "x-api-key: $CATALOG_API_KEY"
{
"data": [
{
"vendor": "12thtribe.com",
"last_updated_by_catalog": "2025-11-16T00:21:21.414453+00:00",
"listings_count": 1253,
"collections_count": 42,
"in_affiliate_network": false
},
{
"vendor": "18east.co",
"last_updated_by_catalog": "2026-01-04T18:48:00.329426+00:00",
"listings_count": 387,
"collections_count": 15,
"in_affiliate_network": false
},
{
"vendor": "1stclass-vintage.com",
"last_updated_by_catalog": "2025-11-23T23:02:28.336691+00:00",
"listings_count": 1484,
"collections_count": 28,
"in_affiliate_network": false
},
{
"vendor": "2cuteclothing.com",
"last_updated_by_catalog": "2025-12-19T17:47:02.397774+00:00",
"listings_count": 254,
"collections_count": 8,
"in_affiliate_network": false
},
{
"vendor": "31philliplim.com",
"last_updated_by_catalog": "2025-11-23T23:25:40.15897+00:00",
"listings_count": 2644,
"collections_count": 56,
"in_affiliate_network": true
}
],
"pagination": {
"page": 1,
"page_size": 5,
"total_items": 540,
"total_pages": 108,
"has_next": true,
"has_prev": false
},
"meta": {}
}
⌘I